server	{
	listen	8899;
	allow	167.88.12.162;
	allow	127.0.0.1/32;
	allow	172.18.0.0/24;
	deny	all;
	access_log	/var/log/nginx/metrics-access.log;
	error_log	/var/log/nginx/metrics-error.log;

	location	/metrics	{
		content_by_lua '
			metric_connections:set(ngx.var.connections_reading, {"reading"})
			metric_connections:set(ngx.var.connections_waiting, {"waiting"})
			metric_connections:set(ngx.var.connections_writing, {"writing"})
			prometheus:collect()
		';
	}
}
